Skip to main content
`Ctrl`+`K`

# TaoTermSumGetLastTermObjectives

Get the contributions from each term to the last evaluation of `TaoTermComputeObjective()` or `TaoTermComputeObjectiveAndGradient()`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermSumGetLastTermObjectives(TaoTerm term, const PetscReal *values[])

Not collective

## Input Parameter

- term - a `TaoTerm` of type `TAOTERMSUM`

## Output Parameter

- values - an array of the contributions to the last computed objective value

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TAOTERMSUM`

## Level

developer

## Location

src/tao/term/impls/sum/taotermsum.c

## Implementations

TaoTermSumGetLastTermObjectives_Sum() in src/tao/term/impls/sum/taotermsum.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages